/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * abs(np.float64(-1.5)lf) => np.float64(1.5)lf
 * abs(np.float64(-0.75)lf) => np.float64(0.75)lf
 * abs(np.float64(0.0)lf) => np.float64(0.0)lf
 * abs(np.float64(0.75)lf) => np.float64(0.75)lf
 * abs(np.float64(1.5)lf) => np.float64(1.5)lf
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(abs(np.float64(-1.5)lf), np.float64(1.5)lf) <= np.float64(1.5000000000000002e-05)lf ? 1 : -1] array0;
  double[distance(abs(np.float64(-0.75)lf), np.float64(0.75)lf) <= np.float64(7.500000000000001e-06)lf ? 1 : -1] array1;
  double[distance(abs(np.float64(0.0)lf), np.float64(0.0)lf) <= np.float64(0.0)lf ? 1 : -1] array2;
  double[distance(abs(np.float64(0.75)lf), np.float64(0.75)lf) <= np.float64(7.500000000000001e-06)lf ? 1 : -1] array3;
  double[distance(abs(np.float64(1.5)lf), np.float64(1.5)lf) <= np.float64(1.5000000000000002e-05)lf ? 1 : -1] array4;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length());
}
