/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * clamp(i64vec4(np.int64(-20)l, np.int64(-6)l, np.int64(6)l, np.int64(20)l), np.int64(-15)l, np.int64(-15)l) => i64vec4(np.int64(-15)l, np.int64(-15)l, np.int64(-15)l, np.int64(-15)l)
 * clamp(i64vec4(np.int64(-20)l, np.int64(-6)l, np.int64(6)l, np.int64(20)l), np.int64(-15)l, np.int64(0)l) => i64vec4(np.int64(-15)l, np.int64(-6)l, np.int64(0)l, np.int64(0)l)
 * clamp(i64vec4(np.int64(-20)l, np.int64(-6)l, np.int64(6)l, np.int64(20)l), np.int64(-15)l, np.int64(15)l) => i64vec4(np.int64(-15)l, np.int64(-6)l, np.int64(6)l, np.int64(15)l)
 * clamp(i64vec4(np.int64(-20)l, np.int64(-6)l, np.int64(6)l, np.int64(20)l), np.int64(0)l, np.int64(0)l) => i64vec4(np.int64(0)l, np.int64(0)l, np.int64(0)l, np.int64(0)l)
 * clamp(i64vec4(np.int64(-20)l, np.int64(-6)l, np.int64(6)l, np.int64(20)l), np.int64(0)l, np.int64(15)l) => i64vec4(np.int64(0)l, np.int64(0)l, np.int64(6)l, np.int64(15)l)
 * clamp(i64vec4(np.int64(-20)l, np.int64(-6)l, np.int64(6)l, np.int64(20)l), np.int64(15)l, np.int64(15)l) => i64vec4(np.int64(15)l, np.int64(15)l, np.int64(15)l, np.int64(15)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal(clamp(i64vec4(np.int64(-20)l, np.int64(-6)l, np.int64(6)l, np.int64(20)l), np.int64(-15)l, np.int64(-15)l), i64vec4(np.int64(-15)l, np.int64(-15)l, np.int64(-15)l, np.int64(-15)l))) ? 1 : -1] array0;
  float[all(equal(clamp(i64vec4(np.int64(-20)l, np.int64(-6)l, np.int64(6)l, np.int64(20)l), np.int64(-15)l, np.int64(0)l), i64vec4(np.int64(-15)l, np.int64(-6)l, np.int64(0)l, np.int64(0)l))) ? 1 : -1] array1;
  float[all(equal(clamp(i64vec4(np.int64(-20)l, np.int64(-6)l, np.int64(6)l, np.int64(20)l), np.int64(-15)l, np.int64(15)l), i64vec4(np.int64(-15)l, np.int64(-6)l, np.int64(6)l, np.int64(15)l))) ? 1 : -1] array2;
  float[all(equal(clamp(i64vec4(np.int64(-20)l, np.int64(-6)l, np.int64(6)l, np.int64(20)l), np.int64(0)l, np.int64(0)l), i64vec4(np.int64(0)l, np.int64(0)l, np.int64(0)l, np.int64(0)l))) ? 1 : -1] array3;
  float[all(equal(clamp(i64vec4(np.int64(-20)l, np.int64(-6)l, np.int64(6)l, np.int64(20)l), np.int64(0)l, np.int64(15)l), i64vec4(np.int64(0)l, np.int64(0)l, np.int64(6)l, np.int64(15)l))) ? 1 : -1] array4;
  float[all(equal(clamp(i64vec4(np.int64(-20)l, np.int64(-6)l, np.int64(6)l, np.int64(20)l), np.int64(15)l, np.int64(15)l), i64vec4(np.int64(15)l, np.int64(15)l, np.int64(15)l, np.int64(15)l))) ? 1 : -1] array5;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
