/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.int32(12) % ivec2(np.int32(38), np.int32(35))) => ivec2(np.int32(12), np.int32(12))
 * (np.int32(12) % ivec2(np.int32(64), np.int32(9))) => ivec2(np.int32(12), np.int32(3))
 * (np.int32(76) % ivec2(np.int32(38), np.int32(35))) => ivec2(np.int32(0), np.int32(6))
 * (np.int32(76) % ivec2(np.int32(64), np.int32(9))) => ivec2(np.int32(12), np.int32(4))
 * (np.int32(0) % ivec2(np.int32(38), np.int32(35))) => ivec2(np.int32(0), np.int32(0))
 * (np.int32(0) % ivec2(np.int32(64), np.int32(9))) => ivec2(np.int32(0), np.int32(0))
 */
#version 130

void main()
{
  float[all(equal((np.int32(12) % ivec2(np.int32(38), np.int32(35))), ivec2(np.int32(12), np.int32(12)))) ? 1 : -1] array0;
  float[all(equal((np.int32(12) % ivec2(np.int32(64), np.int32(9))), ivec2(np.int32(12), np.int32(3)))) ? 1 : -1] array1;
  float[all(equal((np.int32(76) % ivec2(np.int32(38), np.int32(35))), ivec2(np.int32(0), np.int32(6)))) ? 1 : -1] array2;
  float[all(equal((np.int32(76) % ivec2(np.int32(64), np.int32(9))), ivec2(np.int32(12), np.int32(4)))) ? 1 : -1] array3;
  float[all(equal((np.int32(0) % ivec2(np.int32(38), np.int32(35))), ivec2(np.int32(0), np.int32(0)))) ? 1 : -1] array4;
  float[all(equal((np.int32(0) % ivec2(np.int32(64), np.int32(9))), ivec2(np.int32(0), np.int32(0)))) ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
