/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) != uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => false
 * (uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) != uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => true
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) != uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) => true
 * (uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) != uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) => false
 */
#version 130

void main()
{
  float[(uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) != uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) == false ? 1 : -1] array0;
  float[(uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u) != uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) == true ? 1 : -1] array1;
  float[(uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) != uvec4(np.uint32(66)u, np.uint32(72)u, np.uint32(87)u, np.uint32(75)u)) == true ? 1 : -1] array2;
  float[(uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u) != uvec4(np.uint32(24)u, np.uint32(40)u, np.uint32(23)u, np.uint32(74)u)) == false ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
