/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> np.int32(0)) => uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u)
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> np.int32(1)) => uvec4(np.uint32(8)u, np.uint32(12)u, np.uint32(11)u, np.uint32(12)u)
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> np.int32(2)) => uvec4(np.uint32(4)u, np.uint32(6)u, np.uint32(5)u, np.uint32(6)u)
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> np.int32(5)) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> np.int32(25)) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> np.int32(31)) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> np.int32(0)) => uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> np.int32(1)) => uvec4(np.uint32(11)u, np.uint32(6)u, np.uint32(7)u, np.uint32(9)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> np.int32(2)) => uvec4(np.uint32(5)u, np.uint32(3)u, np.uint32(3)u, np.uint32(4)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> np.int32(5)) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> np.int32(25)) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> np.int32(31)) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 */
#version 130

void main()
{
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> np.int32(0)), uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u))) ? 1 : -1] array0;
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> np.int32(1)), uvec4(np.uint32(8)u, np.uint32(12)u, np.uint32(11)u, np.uint32(12)u))) ? 1 : -1] array1;
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> np.int32(2)), uvec4(np.uint32(4)u, np.uint32(6)u, np.uint32(5)u, np.uint32(6)u))) ? 1 : -1] array2;
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> np.int32(5)), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array3;
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> np.int32(25)), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array4;
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> np.int32(31)), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array5;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> np.int32(0)), uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u))) ? 1 : -1] array6;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> np.int32(1)), uvec4(np.uint32(11)u, np.uint32(6)u, np.uint32(7)u, np.uint32(9)u))) ? 1 : -1] array7;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> np.int32(2)), uvec4(np.uint32(5)u, np.uint32(3)u, np.uint32(3)u, np.uint32(4)u))) ? 1 : -1] array8;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> np.int32(5)), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array9;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> np.int32(25)), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array10;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> np.int32(31)), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array11;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length());
}
