/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * lessThanEqual(uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u), uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u, np.uint32(5)u)) => bvec4(true, true, true, true)
 * lessThanEqual(uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(1)u, np.uint32(1)u), uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u, np.uint32(2)u)) => bvec4(true, false, true, true)
 * lessThanEqual(uvec4(np.uint32(1)u, np.uint32(1)u, np.uint32(2)u, np.uint32(2)u), uvec4(np.uint32(5)u, np.uint32(34)u, np.uint32(0)u, np.uint32(1)u)) => bvec4(true, true, false, false)
 * lessThanEqual(uvec4(np.uint32(2)u, np.uint32(2)u, np.uint32(2)u, np.uint32(5)u), uvec4(np.uint32(2)u, np.uint32(5)u, np.uint32(34)u, np.uint32(0)u)) => bvec4(true, true, true, false)
 * lessThanEqual(uvec4(np.uint32(5)u, np.uint32(5)u, np.uint32(5)u, np.uint32(5)u), uvec4(np.uint32(1)u, np.uint32(2)u, np.uint32(5)u, np.uint32(34)u)) => bvec4(false, false, true, true)
 * lessThanEqual(uvec4(np.uint32(34)u, np.uint32(34)u, np.uint32(34)u, np.uint32(34)u), uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u, np.uint32(5)u)) => bvec4(false, false, false, false)
 * lessThanEqual(uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u), uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u, np.uint32(2)u)) => bvec4(true, true, true, true)
 */
#version 150

void main()
{
  float[all(equal(lessThanEqual(uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u), uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u, np.uint32(5)u)), bvec4(true, true, true, true))) ? 1 : -1] array0;
  float[all(equal(lessThanEqual(uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(1)u, np.uint32(1)u), uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u, np.uint32(2)u)), bvec4(true, false, true, true))) ? 1 : -1] array1;
  float[all(equal(lessThanEqual(uvec4(np.uint32(1)u, np.uint32(1)u, np.uint32(2)u, np.uint32(2)u), uvec4(np.uint32(5)u, np.uint32(34)u, np.uint32(0)u, np.uint32(1)u)), bvec4(true, true, false, false))) ? 1 : -1] array2;
  float[all(equal(lessThanEqual(uvec4(np.uint32(2)u, np.uint32(2)u, np.uint32(2)u, np.uint32(5)u), uvec4(np.uint32(2)u, np.uint32(5)u, np.uint32(34)u, np.uint32(0)u)), bvec4(true, true, true, false))) ? 1 : -1] array3;
  float[all(equal(lessThanEqual(uvec4(np.uint32(5)u, np.uint32(5)u, np.uint32(5)u, np.uint32(5)u), uvec4(np.uint32(1)u, np.uint32(2)u, np.uint32(5)u, np.uint32(34)u)), bvec4(false, false, true, true))) ? 1 : -1] array4;
  float[all(equal(lessThanEqual(uvec4(np.uint32(34)u, np.uint32(34)u, np.uint32(34)u, np.uint32(34)u), uvec4(np.uint32(0)u, np.uint32(1)u, np.uint32(2)u, np.uint32(5)u)), bvec4(false, false, false, false))) ? 1 : -1] array5;
  float[all(equal(lessThanEqual(uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u), uvec4(np.uint32(34)u, np.uint32(0)u, np.uint32(1)u, np.uint32(2)u)), bvec4(true, true, true, true))) ? 1 : -1] array6;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length());
}
