/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec2(np.int32(38), np.int32(35)) % np.int32(12)) => ivec2(np.int32(2), np.int32(11))
 * (ivec2(np.int32(38), np.int32(35)) % np.int32(76)) => ivec2(np.int32(38), np.int32(35))
 * (ivec2(np.int32(64), np.int32(9)) % np.int32(12)) => ivec2(np.int32(4), np.int32(9))
 * (ivec2(np.int32(64), np.int32(9)) % np.int32(76)) => ivec2(np.int32(64), np.int32(9))
 */
#version 150

void main()
{
  float[all(equal((ivec2(np.int32(38), np.int32(35)) % np.int32(12)), ivec2(np.int32(2), np.int32(11)))) ? 1 : -1] array0;
  float[all(equal((ivec2(np.int32(38), np.int32(35)) % np.int32(76)), ivec2(np.int32(38), np.int32(35)))) ? 1 : -1] array1;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) % np.int32(12)), ivec2(np.int32(4), np.int32(9)))) ? 1 : -1] array2;
  float[all(equal((ivec2(np.int32(64), np.int32(9)) % np.int32(76)), ivec2(np.int32(64), np.int32(9)))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
