/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * reflect(np.float64(0.0)lf, np.float64(-1.0)lf) => np.float64(0.0)lf
 * reflect(np.float64(0.0)lf, np.float64(1.0)lf) => np.float64(0.0)lf
 * reflect(np.float64(-1.3333333333333333)lf, np.float64(-1.0)lf) => np.float64(1.3333333333333333)lf
 * reflect(np.float64(-1.3333333333333333)lf, np.float64(1.0)lf) => np.float64(1.3333333333333333)lf
 * reflect(np.float64(0.85)lf, np.float64(-1.0)lf) => np.float64(-0.85)lf
 * reflect(np.float64(0.85)lf, np.float64(1.0)lf) => np.float64(-0.85)lf
 */
#version 400

void main()
{
  double[distance(reflect(np.float64(0.0)lf, np.float64(-1.0)lf), np.float64(0.0)lf) <= np.float64(0.0)lf ? 1 : -1] array0;
  double[distance(reflect(np.float64(0.0)lf, np.float64(1.0)lf), np.float64(0.0)lf) <= np.float64(0.0)lf ? 1 : -1] array1;
  double[distance(reflect(np.float64(-1.3333333333333333)lf, np.float64(-1.0)lf), np.float64(1.3333333333333333)lf) <= np.float64(1.3333333333333333e-05)lf ? 1 : -1] array2;
  double[distance(reflect(np.float64(-1.3333333333333333)lf, np.float64(1.0)lf), np.float64(1.3333333333333333)lf) <= np.float64(1.3333333333333333e-05)lf ? 1 : -1] array3;
  double[distance(reflect(np.float64(0.85)lf, np.float64(-1.0)lf), np.float64(-0.85)lf) <= np.float64(8.5e-06)lf ? 1 : -1] array4;
  double[distance(reflect(np.float64(0.85)lf, np.float64(1.0)lf), np.float64(-0.85)lf) <= np.float64(8.5e-06)lf ? 1 : -1] array5;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
